%define upstream_name    Class-Load-XS
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    XS implementation of parts of Class::Load
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Implementation) >= 0.40.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(XSLoader)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildRequires: perl-devel

%{?perl_default_filter}

%description
This module provides an XS implementation for portions of the Class::Load
manpage. See the Class::Load manpage for API details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Mon Jun 06 2022 umeabot <umeabot> 0.100.0-12.mga9
+ Revision: 1861602
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.100.0-11.mga9
+ Revision: 1796298
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.100.0-10.mga9
+ Revision: 1726416
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.100.0-9.mga8
+ Revision: 1594322
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.100.0-8.mga8
+ Revision: 1529023
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 0.100.0-7.mga8
+ Revision: 1432739
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.100.0-6.mga7
+ Revision: 1292447
- Mageia 7 Mass Rebuild
+ pterjan <pterjan>
- Use correct macro in file list

* Sat Aug 04 2018 tmb <tmb> 0.100.0-5.mga7
+ Revision: 1247436
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.100.0-4.mga7
+ Revision: 1163374
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.100.0-3.mga7
+ Revision: 1148683
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.100.0-2.mga7
+ Revision: 1126512
- Rebuild against new Perl 5.26
+ shlomif <shlomif>
- rebuild for new perl 5.26.0 + new upstream ver

* Sat Jun 18 2016 pterjan <pterjan> 0.90.0-5.mga6
+ Revision: 1023979
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.90.0-4.mga6
+ Revision: 956857
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.90.0-3.mga6
+ Revision: 844748
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 0.90.0-2.mga6
+ Revision: 840664
- Rebuild for the new perl

* Sun Jun 21 2015 sander85 <sander85> 0.90.0-1.mga6
+ Revision: 836946
- update to 0.09

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-6.mga5
+ Revision: 750675
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.80.0-5.mga5
+ Revision: 732933
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 683925
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.80.0-3.mga5
+ Revision: 632152
- perl 5.20.0 rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.80.0-2.mga5
+ Revision: 630868
- Rebuild for perl 5.20

* Mon Feb 17 2014 jquelin <jquelin> 0.80.0-1.mga5
+ Revision: 593414
- update to 0.08

* Sat Oct 19 2013 umeabot <umeabot> 0.60.0-4.mga4
+ Revision: 524132
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.60.0-3.mga4
+ Revision: 430056
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 364426
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.60.0-1.mga3
+ Revision: 306067
- update to 0.06

* Wed May 30 2012 jquelin <jquelin> 0.40.0-2.mga3
+ Revision: 250321
- rebuild for perl 5.16

* Mon Mar 05 2012 jquelin <jquelin> 0.40.0-1.mga2
+ Revision: 218664
- update to 0.04

* Mon Dec 12 2011 jquelin <jquelin> 0.30.0-1.mga2
+ Revision: 180944
- imported package perl-Class-Load-XS


* Mon Dec 12 2011 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
